Package com.trilead.ssh2.log

## Class Logger

- java.lang.Object
- - com.trilead.ssh2.log.Logger

    public class Logger
    extends java.lang.Object

Logger - a very simple logger, mainly used during development. Is not based on log4j (to reduce external dependencies). However, if needed, something like log4j could easily be hooked in.

For speed reasons, the static variables are not protected with semaphores. In other words, if you dynamicaly change the logging settings, then some threads may still use the old setting.

### Field Summary

Fields
`static boolean` `enabled`
`static DebugLogger` `logger`

### Constructor Summary

Constructors
`Logger​(java.lang.Class x)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Logger` `getLogger​(java.lang.Class x)`
`boolean` `isEnabled()`
`void` `log​(int level, java.lang.String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### enabled

    public static boolean enabled

#### logger

    public static DebugLogger logger

### Constructor Detail

#### Logger

    public Logger​(java.lang.Class x)

### Method Detail

#### getLogger

    public static final Logger getLogger​(java.lang.Class x)

#### isEnabled

    public final boolean isEnabled()

#### log

    public final void log​(int level,
                          java.lang.String message)